%global pypi_name pathlib

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        4%{?dist}
Summary:        Object-oriented filesystem paths

License:        MIT
URL:            https://pathlib.readthedocs.org/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-sphinx


%description
pathlib offers a set of classes to handle filesystem paths.  It offers the
following advantages over using string objects:

* No more cumbersome use of os and os.path functions.  Everything can be
 done easily through operators, attribute accesses, and method calls.
* Embodies the semantics of different path types.  For example, comparing
 Windows paths ignores casing.
*  Well-defined semantics, eliminating any warts or ambiguities (forward vs.
 backward slashes, etc.).

It's part of Python 3.4+ standard library.

%prep
%setup -q -n %{pypi_name}-%{version}

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}



%files
%doc html README.txt
%license LICENSE.txt
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Apr 24 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 1.0.1-1
- Initial package.
